        subroutine centch(x,y,ang,ht,xx,yy)
c **** Calculate coords of bottom left of char cell
c Input:
c        x,y = coords of center of char cell
c        ang, ht = angle (degrees) and height (inches) of cell

c Output:
c        xx,yy = coords of bottom, left corner

c ---- Set x,y shift factors for Unix/houston:
          parameter (xadj=0.3333, yadj=0.5000)

c ---- See if x or y indicate `use last coordinate':
	  if (abs(x-999.) - 0.1  .lt. 0.) then
	    call where(xlast, ylast, rfact)
	    xloc = xlast
	  else
            xloc = x
	  end if
	  if (abs(y-999.) - 0.1  .lt. 0.) then
	    call where(xlast, ylast, rfact)
	    yloc = ylast
	  else
            yloc = y
	  end if

c ---- Calculate bottom left corner from center. ----
	  rang = .0174533 * ang
	  cosa = cos (rang)
	  sina = sin (rang)
	  xx = xloc - ht*cosa*xadj + yadj*ht*sina
	  yy = yloc - ht*sina*xadj - yadj*ht*cosa
        return
        end
